# CbcHeuristicDiveFractional Class Reference

DiveFractional class. More...

`#include <CbcHeuristicDiveFractional.hpp>`

Inheritance diagram for CbcHeuristicDiveFractional:
[legend]
Collaboration diagram for CbcHeuristicDiveFractional:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicDiveFractional ()
| CbcHeuristicDiveFractional (CbcModel &model)
| CbcHeuristicDiveFractional (const CbcHeuristicDiveFractional &)
| ~CbcHeuristicDiveFractional ()
virtual CbcHeuristicDiveFractional * | clone () const
| Clone.
CbcHeuristicDiveFractional & | operator= (const CbcHeuristicDiveFractional &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual bool | selectVariableToBranch (OsiSolverInterface *solver, const double *newSolution, int &bestColumn, int &bestRound)
| Selects the next variable to branch on.

## Detailed Description

DiveFractional class.

Definition at line 14 of file CbcHeuristicDiveFractional.hpp.

## Constructor & Destructor Documentation

CbcHeuristicDiveFractional::CbcHeuristicDiveFractional | ( |  | ) |

CbcHeuristicDiveFractional::CbcHeuristicDiveFractional | ( | CbcModel & | model | ) |

CbcHeuristicDiveFractional::CbcHeuristicDiveFractional | ( | const CbcHeuristicDiveFractional & |  | ) |

CbcHeuristicDiveFractional::~CbcHeuristicDiveFractional | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristicDiveFractional* CbcHeuristicDiveFractional::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristicDive.

CbcHeuristicDiveFractional& CbcHeuristicDiveFractional::operator= | ( | const CbcHeuristicDiveFractional & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristicDive.

virtual void CbcHeuristicDiveFractional::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristicDive.

virtual bool CbcHeuristicDiveFractional::selectVariableToBranch | ( | OsiSolverInterface * | solver,
|  | const double * | newSolution,
|  | int & | bestColumn,
|  | int & | bestRound |
| ) |  |  | `[virtual]`

Selects the next variable to branch on.

Returns true if all the fractional variables can be trivially rounded. Returns false, if there is at least one fractional variable that is not trivially roundable. In this case, the bestColumn returned will not be trivially roundable.

Implements CbcHeuristicDive.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcHeuristicDiveFractional.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines